"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa9120>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa91c0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa9260>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa9300>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa93a0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa9440>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa94e0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa9580>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa9620>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa96c0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa9760>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa9800>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa98a0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa9940>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa99e0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa9a80>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa9b20>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa9bc0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa9c60>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa9d00>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa9da0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa9e40>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa9ee0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10bfa9f80>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaa020>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaa0c0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaa160>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaa200>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaa2a0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaa340>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaa3e0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaa480>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaa520>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaa5c0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaa660>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaa700>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaa7a0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaa840>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaa8e0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaa980>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaaa20>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaaac0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaab60>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaac00>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaaca0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaad40>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaade0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaae80>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaaf20>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaafc0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10bfab060>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10bfab100>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10bfab1a0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10bfab240>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10bfab2e0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10bfab380>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10bfab420>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10bfab4c0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10bfab560>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10bfab600>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10bfab6a0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10bfab740>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10bfab7e0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10bfab880>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10bfab920>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10bfab9c0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10bfaba60>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10bfabb00>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10bfabba0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10bfabc40>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10bfabce0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10bfabd80>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10bfabe20>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10bfabec0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10bfabf60>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10bfb8040>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10bfb80e0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10bfb8180>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10bfb8220>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10bfb82c0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10bfb8400>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10bfb8360>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10bfb84a0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10bfb8540>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10bfb85e0>)]
name: str = 'fr_HOCCN'
